opencv: CvStatModel Class Reference

Public Member Functions | Protected Attributes

# CvStatModel Class Reference

`#include <ml.hpp>`

Inheritance diagram for CvStatModel:

List of all members.

## Public Member Functions
virtual void | clear ()
| CvStatModel ()
virtual CV_WRAP void | load (const char *filename, const char *name=0)
virtual void | read (CvFileStorage *storage, CvFileNode *node)
virtual CV_WRAP void | save (const char *filename, const char *name=0) const
virtual void | write (CvFileStorage *storage, const char *name) const
virtual | ~CvStatModel ()
## Protected Attributes
const char * | default_model_name

## Constructor & Destructor Documentation

CvStatModel::CvStatModel | ( | ) |

virtual CvStatModel::~CvStatModel | ( | ) | `[virtual]`

## Member Function Documentation

virtual void CvStatModel::clear | ( | ) | `[virtual]`

Reimplemented in CvNormalBayesClassifier, CvKNearest, CvSVM, CvEM, CvDTree, CvRTrees, CvBoostTree, CvBoost, CvGBTrees, and CvANN_MLP.

virtual CV_WRAP void CvStatModel::load | ( | const char * | filename,
|  | const char * | name = `0`
| ) |  | `[virtual]`

virtual void CvStatModel::read | ( | CvFileStorage * | storage,
|  | CvFileNode * | node
| ) |  | `[virtual]`

Reimplemented in CvNormalBayesClassifier, CvSVM, CvDTree, CvForestTree, CvRTrees, CvBoostTree, CvBoost, CvGBTrees, and CvANN_MLP.

virtual CV_WRAP void CvStatModel::save | ( | const char * | filename,
|  | const char * | name = `0`
| ) |  | const`[virtual]`

virtual void CvStatModel::write | ( | CvFileStorage * | storage,
|  | const char * | name
| ) |  | const`[virtual]`

Reimplemented in CvNormalBayesClassifier, CvSVM, CvDTree, CvRTrees, CvBoost, CvGBTrees, and CvANN_MLP.

## Member Data Documentation

const char* CvStatModel::default_model_name`[protected]`

The documentation for this class was generated from the following file:

- /usr/ports/pobj/OpenCV-2.2.0/OpenCV-2.2.0/modules/ml/include/opencv2/ml/ml.hpp

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Defines